# eric7.WebBrowser.Passwords.PasswordReader

Module implementing a class to read login data files.

### Global Attributes

None

### Classes

PasswordReader | Class implementing a reader object for login data files.

### Functions

None

## PasswordReader

Class implementing a reader object for login data files.

### Derived from

QXmlStreamReader

### Class Attributes

None

### Class Methods

None

### Methods

PasswordReader | Constructor
__readForms | Private method to read the forms information.
__readLogins | Private method to read the login information.
__readNevers | Private method to read the never URLs.
__readPasswords | Private method to read and parse the login data file.
__skipUnknownElement | Private method to skip over all unknown elements.
read | Public method to read a login data file.

### Static Methods

None

#### PasswordReader (Constructor)

PasswordReader()

Constructor

#### PasswordReader.__readForms

__readForms()

Private method to read the forms information.

#### PasswordReader.__readLogins

__readLogins()

Private method to read the login information.

#### PasswordReader.__readNevers

__readNevers()

Private method to read the never URLs.

#### PasswordReader.__readPasswords

__readPasswords()

Private method to read and parse the login data file.

#### PasswordReader.__skipUnknownElement

__skipUnknownElement()

Private method to skip over all unknown elements.

#### PasswordReader.read

read(fileNameOrDevice)

Public method to read a login data file.

fileNameOrDevice
  name of the file to read (string) or reference to the device to read (QIODevice)

Return:
  tuple containing the logins, forms and never URLs

Up